package model.databaseModel;

import java.io.Serializable;
import javax.persistence.*;

import main.Controller;


/**
 * The persistent class for the ZUSTAENDIGKEIT database table.
 * 
 */
@Entity
public class Zustaendigkeit implements java.io.Serializable {
	private static final long serialVersionUID = 1L;
	private int zustaendigkeitid;
	private int fahrerid;
	private int fahrzeug1id;
	private int fahrzeug2id;
	private int fahrzeug3id;

	public Zustaendigkeit() {
	}


	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	public int getZustaendigkeitid() {
		return this.zustaendigkeitid;
	}

	public void setZustaendigkeitid(int zustaendigkeitid) {
		this.zustaendigkeitid = zustaendigkeitid;
	}


	public int getFahrerid() {
		return this.fahrerid;
	}

	public void setFahrerid(int fahrerid) {
		this.fahrerid = fahrerid;
	}


	public int getFahrzeug1id() {
		return this.fahrzeug1id;
	}

	public void setFahrzeug1id(int fahrzeug1id) {
		this.fahrzeug1id = fahrzeug1id;
	}


	public int getFahrzeug2id() {
		return this.fahrzeug2id;
	}

	public void setFahrzeug2id(int fahrzeug2id) {
		this.fahrzeug2id = fahrzeug2id;
	}


	public int getFahrzeug3id() {
		return this.fahrzeug3id;
	}

	public void setFahrzeug3id(int fahrzeug3id) {
		this.fahrzeug3id = fahrzeug3id;
	}
	
	/**
	 * hndisch hinzugefgt, liefert zugehrigen Fahrer zurck
	 * @return
	 */
	public Fahrer getFahrer()
	{
		return Controller.getFahrer(fahrerid);
	}		

	/**
	 * hndisch hinzugefgt, liefert 1. Fahrzeug zurck
	 * @return
	 */
	public Fahrzeug getFahrzeug1()
	{
		return Controller.getFahrzeug(fahrzeug1id);
	}		
	
	/**
	 * hndisch hinzugefgt, liefert 2. Fahrzeug zurck
	 * @return
	 */
	public Fahrzeug getFahrzeug2()
	{
		return Controller.getFahrzeug(fahrzeug2id);
	}		
	
	/**
	 * hndisch hinzugefgt, liefert 3. Fahrzeug zurck
	 * @return
	 */
	public Fahrzeug getFahrzeug3()
	{
		return Controller.getFahrzeug(fahrzeug3id);
	}		
}